dofile("scripts/entities/entityinclude.lua")

function init(me)
	if isFlag(FLAG_MAINAREA_TRANSTURTLE_ROCK, 1) then
		rock = node_getNearestEntity(me, "Rock0005")
		node = getNode("TRANSTURTLE_ROCK_MOVED")
		if node ~= 0 then
			entity_setPosition(rock, node_x(node), node_y(node))
		end
	end
end

function activate(me)
end

function update(me, dt)
	if isFlag(FLAG_MAINAREA_TRANSTURTLE_ROCK, 0) then
		if node_isEntityIn(me, getNaija()) then
			setFlag(FLAG_MAINAREA_TRANSTURTLE_ROCK, 1)
		end
	end
end
